Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Blöcke welche Layer zugeordnet sind auf richtigen Layer legen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Blöcke welche Layer zugeordnet sind auf richtigen Layer legen (595 mal gelesen)
charly9
Mitglied



Sehen Sie sich das Profil von charly9 an!   Senden Sie eine Private Message an charly9  Schreiben Sie einen Gästebucheintrag für charly9

Beiträge: 135
Registriert: 06.02.2004

erstellt am: 10. Feb. 2006 09:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo
Ich habe Blöcke welche sich auf bestimmte Layer legen sollen und das auch tun. Wenn aber dieser Layer nicht aktuell war, sondern ein anderer so wird dieser auch mit Blockiert,der Block belegt also 2 Layer gleichzeitig, und muss die Blöcke dann Manuell auf das richtige Layer schieben.
geht so was auch automatisiert?
ich stell mir das so vor:
block abfragen,zugeornetes Layer erkennen und automatisch auf dieses Layer schieben.
grüße
charly

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 10. Feb. 2006 09:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von charly9:
der Block belegt also 2 Layer gleichzeitig

ich geh mal davon aus, dass du eine BLOCKREFERENZ meinst, aber trotzdem kann jedem Entity nur ein Layer zugeordnet werden...

oder meinst du , das eventuell Entities innerhalb der Blockdefinition einen anderen Layer zugeordnet sind, als Später die Referenz ... ?
------------------
  - Thomas -
"Du bist einen uns unbekannten Weg in eine andere Form des Seins gegangen. - Wir sehen uns wieder in deinem Paradies! - Tschüß Axel.."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charly9
Mitglied



Sehen Sie sich das Profil von charly9 an!   Senden Sie eine Private Message an charly9  Schreiben Sie einen Gästebucheintrag für charly9

Beiträge: 135
Registriert: 06.02.2004

erstellt am: 10. Feb. 2006 10:02    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


testblockreferenz.zip

 
richtig "blockreferenz"bl

hab nen testplan angehängt

nochmal
bl eingefügt bei aktuellen layer a
bl verweist auf layer b

möchte das die bl automatich sich auf das referenzlayer legt und ich nicht darauf achten muss das auch das gleiche layer aktuell ist!
oder nachträglich mit einem befehl es sich auf das referenzlayer verschiebt.
danke
charly

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 10. Feb. 2006 10:08    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

ähmmm ... nochmal ... rate ich richtig, dass du möchtest, das sich die Blockreferenz auf einen Layer mit dem gleichen Namen wie der referenzierte Block einfügt?

------------------
- Thomas -
"Du bist einen uns unbekannten Weg in eine andere Form des Seins gegangen. - Wir sehen uns wieder in deinem Paradies! - Tschüß Axel.."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 10. Feb. 2006 11:30    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

denke da hat einer seine Blöcke nicht "vonblock" erstellt
und bereut es gerade.. !?
Wieso legst du die Elemente die du zu einem Block
zusammenfügen möchtest denn nicht auf Layer 0 ?
(andere Eigenschaften "vonLayer" oder besser "vonBlock")

EDIT:
Das "automatisch" muß man sich selbst anpassen mit einem
Script oder Lisp oder sonstwas Programm -  in Acad
gibt es keine Funktion dafür.
(leider werden die CAD-Standardplugins nicht erweitert wie angekündigt)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

g.r
Mitglied
Beruf? Ja! Ausbildung: auch!!


Sehen Sie sich das Profil von g.r an!   Senden Sie eine Private Message an g.r  Schreiben Sie einen Gästebucheintrag für g.r

Beiträge: 603
Registriert: 06.07.2005

ACA 2010
Scaleo, AMD Athlon64 DC4600+
acer Aspire 8930 4C 4GB
VISTA Ultimate
HP 750C
AMD Athlon, W2k

erstellt am: 10. Feb. 2006 11:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

Hi charly9,
Ich habe se bis jetzt so verstanden.
Ihr erstellt einen Block auf einem spez. Layer. Der Block
soll dann (automatisch) sich auf seinen Erstellungslayer einfügen.
Da kann er IMHOIn my humble oppinion (Meiner Meinung nach) nicht, weil er sich nicht selbst einfügt.
Mein Vorschlag wäre: fügt alle Blöcke auf einem "Einfüge"layer ein.
Per Filter könnt Ihr dann doch alle Blöcke auf diesen Layer setzen.
Zur sichtbar/unsichtbar Schaltung friert Ihr dann den jeweiligen
Erstellungslayer. Das ist eine Möglichkeit, wäre aber nicht mein Favorit, da ich ein anderes Blockkonzept habe.
Gruß Günter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19656
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 10. Feb. 2006 11:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

einfügen über die WerkzeugPaletten... da kannst du den
Einfügelayer festlegen... wäre noch eine Idee
für die Zukunft.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charly9
Mitglied



Sehen Sie sich das Profil von charly9 an!   Senden Sie eine Private Message an charly9  Schreiben Sie einen Gästebucheintrag für charly9

Beiträge: 135
Registriert: 06.02.2004

erstellt am: 10. Feb. 2006 12:14    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

also einmal von an fang an.
es handelt sich hier um die BFR (baufachlichen richtlinien)
diese struktur ist für maßnahmen des bundes (bundeswehr) gedacht.
wir haben die *.dwt mit layerstruktur und den blöcken von einer zentralen stelle bekommen und
geben diese an unsere auftragnehmer weiter.
die ing. büros liefern uns dann die pläne von den maßnahmen welche wir vergeben.
jetzt haben wir das problem das die büros die blockreferenzen nicht richtig einfügen.
sie fügen die bl mit dem layer ein welcher gerade aktuell ist.
nach dem es sich hier um weit mehr als 1500 layer handelt und um ein paar hundert bl ist die überprüfung der abgegebenen pläne auf die layerstruktur und der zeichnung beschränkt.
also hab ich mir gedacht, vielleicht gibt es eine möglichkeit das diese problem
einfach lösen kann. alle blockreferenzen auf ihre zugewiesenen layer leget mit einer
kurzen befehlseingabe.
am besten währe natürlich wenn so was standart bei acad wäre und den befehl nicht kenne.(ich träume);-)
es wäre uns auch schon damit geholfen wenn alle blöcke automatisch auf layer 0 geschoben würden!
danke für eure teilnahme
charly

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

E-Boy
Ehrenmitglied V.I.P. h.c.
Elektroinstallateurmeister



Sehen Sie sich das Profil von E-Boy an!   Senden Sie eine Private Message an E-Boy  Schreiben Sie einen Gästebucheintrag für E-Boy

Beiträge: 2688
Registriert: 23.06.2005

Autocad MEP 2019
E-Tools
Win 10

erstellt am: 10. Feb. 2006 12:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

Hi,
um alle Blöcke auf "0" zu verschieben
die Filterfunktion verwenden.
Alle Blöcke suchen lassen und auf "0" stellen.

------------------
Gruß Stefan

Nur Feiglinge speichern zwischen.
Bitte meine Damen

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 10. Feb. 2006 12:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

gib mal (sssetfirst (setq a(ssget "_x" '((0 . "INSERT"))))a) ein.
dann _properties und da dann bei Layer "0"


das andere .. das automatische Verschieben der Blockreferenzen auf einen Layer mit dem entsprechenden Blocknamen .. läßt sich am besten mit einem Lisp ect. erledigen. Wenn bei euch sowas öfter anliegt, würde ich mal an eurer Stelle über eine entsprechende Programmierung nachdenken..

------------------
  - Thomas -
"Du bist einen uns unbekannten Weg in eine andere Form des Seins gegangen. - Wir sehen uns wieder in deinem Paradies! - Tschüß Axel.."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

g.r
Mitglied
Beruf? Ja! Ausbildung: auch!!


Sehen Sie sich das Profil von g.r an!   Senden Sie eine Private Message an g.r  Schreiben Sie einen Gästebucheintrag für g.r

Beiträge: 603
Registriert: 06.07.2005

ACA 2010
Scaleo, AMD Athlon64 DC4600+
acer Aspire 8930 4C 4GB
VISTA Ultimate
HP 750C
AMD Athlon, W2k

erstellt am: 10. Feb. 2006 12:28    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für charly9 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von charly9:
es wäre uns auch schon damit geholfen wenn alle blöcke automatisch auf layer 0 geschoben würden!
danke für eure teilnahme


charly, über schnellauswahl die blöcke greifen und ab auf Layer0.
eventuell einen temp. Layer machen um die ganzen Blöcke vorzusortieren.
besser weis ich´s nicht, so mach´ich das.
gruß günter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

charly9
Mitglied



Sehen Sie sich das Profil von charly9 an!   Senden Sie eine Private Message an charly9  Schreiben Sie einen Gästebucheintrag für charly9

Beiträge: 135
Registriert: 06.02.2004

erstellt am: 10. Feb. 2006 12:41    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

klaar! die schnellauswahl hab ich ja gar nicht daran gedacht!
warum denn kompliziert wenns einfach auch geht!
dank euch allen,
und wenn ihr irgend wo mal so ne lisp seht dann denkt an mich
DANKE

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz